$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.4-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.24.4-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'DF2ABC076918BA6F72E12E2EAF46A718616AD710A3636A3E2397CB11C21C8CD1'
  checksumType = 'sha256'
  checksum64 = 'DF2ABC076918BA6F72E12E2EAF46A718616AD710A3636A3E2397CB11C21C8CD1'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.24.4-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
